ata_scsi_user_scan
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_user_scan — indication for user-initiated bus scan

## Synopsis

`int ata_scsi_user_scan (` | struct Scsi_Host * | shost,
| unsigned int | channel,
| unsigned int | id,
| unsigned int | lun`)`;

## Arguments

`shost`

  SCSI host to scan

`channel`

  Channel to scan

`id`

  ID to scan

`lun`

  LUN to scan

## Description

This function is called when user explicitly requests bus scan. Set probe pending flag and invoke EH.

## LOCKING

SCSI layer (we don't care)

## RETURNS

Zero.

Prev | Up | Next
ata_scsi_hotplug | Home | ata_scsi_dev_rescan